# Class TablesEndpointStage

java.lang.Object
uk.ac.starlink.ttools.taplint.TableMetadataStage
uk.ac.starlink.ttools.taplint.TablesEndpointStage

All Implemented Interfaces:
  `MetadataHolder, Stage`

public class TablesEndpointStage extends TableMetadataStage
Validation stage for checking table metadata from the /tables endpoint (as defined by the VODataService schema).

Since:
  3 Jun 2011
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`TablesEndpointStage(CapabilityHolder capHolder)`

## Method Summary

Modifier and Type
Method
Description
`protected MetadataHolder`
`readTableMetadata(Reporter reporter, uk.ac.starlink.vo.TapService tapService)`
Reads an object providing table metadata to check.

### Methods inherited from class TableMetadataStage

`getDescription, getSourceDescription, getTableMetadata, hasDetail, run, setTableFilter`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TablesEndpointStage

public TablesEndpointStage(CapabilityHolder capHolder)

## Method Details

### readTableMetadata

protected MetadataHolder readTableMetadata(Reporter reporter, uk.ac.starlink.vo.TapService tapService)
Description copied from class: `TableMetadataStage`
Reads an object providing table metadata to check.

Specified by:
  `readTableMetadata` in class `TableMetadataStage`
Parameters:
  `reporter` - destination for messages
  `tapService` - TAP service description
Returns:
  fully populated metadata object